| Home | Libraries | People | FAQ | More

## Function template trim_right

boost::algorithm::trim_right — Right trim.

## Synopsis

    // In header: <boost/algorithm/string/trim.hpp>

    template<typename SequenceT>
      void trim_right(SequenceT & Input, const std::locale & Loc = std::locale());

## Description

Remove all trailing spaces from the input. The input sequence is modified in-place.

Parameters:

`Input` | An input sequence
`Loc` | A locale used for 'space' classification